#ifndef BISON_PARSER_TAB_H
# define BISON_PARSER_TAB_H

# ifndef YYSTYPE
#  define YYSTYPE int
#  define YYSTYPE_IS_TRIVIAL 1
# endif

#ifndef YYLTYPE
typedef struct yyltype
{
  int first_line;
  int first_column;

  int last_line;
  int last_column;
} yyltype;

# define YYLTYPE yyltype
# define YYLTYPE_IS_TRIVIAL 1
#endif

# define	INT	257
# define	FLOAT	258
# define	ID	259
# define	STRING	260
# define	TYVAR	261
# define	CHAR	262
# define	KW_INT	263
# define	KW_RETURN	264
# define	KW_VOID	265
# define	KW_SKIP	266
# define	KW_BOOL	267
# define	KW_FLOAT	268
# define	KW_IN	269
# define	KW_EXTERN_C	270
# define	KW_STRING	271
# define	KW_FUN	272
# define	KW_IF	273
# define	KW_ELSE	274
# define	KW_WHILE	275
# define	KW_DO	276
# define	KW_FOR	277
# define	KW_CASE	278
# define	KW_SWITCH	279
# define	KW_LET	280
# define	KW_EXPORT_AS	281
# define	KW_STRUCT	282
# define	KW_OPT_STRUCT	283
# define	KW_UNION	284
# define	KW_TYPE	285
# define	KW_TYPEDEF	286
# define	KW_TRUE	287
# define	KW_FALSE	288
# define	KW_OPEN	289
# define	KW_NULL	290
# define	KW_RAISE	291
# define	KW_TRY	292
# define	KW_EXCEPTION	293
# define	KW_BREAK	294
# define	KW_CONTINUE	295
# define	KW_FINALLY	296
# define	KW_WITH	297
# define	KW_SECTION	298
# define	DOUBLECOLON	299
# define	ARROW	300
# define	GE	301
# define	LE	302
# define	EQ	303
# define	NE	304
# define	LTLT	305
# define	GTGT	306
# define	PLUS_PLUS	307
# define	MINUS_MINUS	308
# define	SLASH_EQUAL	309
# define	PLUS_EQUAL	310
# define	MINUS_EQUAL	311
# define	PERCENT_EQUAL	312
# define	STAR_EQUAL	313
# define	AND_AND	314
# define	OR_OR	315
# define	UMINUS	316
# define	APPLICATION	317


#endif /* not BISON_PARSER_TAB_H */
